Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## josx.platform.rcx
Interface SensorConstants

All Known Implementing Classes:
  RotationNavigator

    public interface SensorConstants

Constants for Sensor methods.

See Also:
  `Sensor.setTypeAndMode(int, int)`

Field Summary
`static int` | `BOOLEAN_VALUE`
`static int` | `CANONICAL_VALUE`
`static int` | `RAW_VALUE`
`static int` | `SENSOR_MODE_ANGLE`
`static int` | `SENSOR_MODE_BOOL`
`static int` | `SENSOR_MODE_DEGC`
`static int` | `SENSOR_MODE_DEGF`
`static int` | `SENSOR_MODE_EDGE`
`static int` | `SENSOR_MODE_PCT`
`static int` | `SENSOR_MODE_PULSE`
`static int` | `SENSOR_MODE_RAW`
`static int` | `SENSOR_TYPE_LIGHT`
`static int` | `SENSOR_TYPE_RAW`
`static int` | `SENSOR_TYPE_ROT`
`static int` | `SENSOR_TYPE_TEMP`
`static int` | `SENSOR_TYPE_TOUCH`

Field Detail

### SENSOR_TYPE_RAW

    static final int SENSOR_TYPE_RAW

See Also:
  Constant Field Values

### SENSOR_TYPE_TOUCH

    static final int SENSOR_TYPE_TOUCH

See Also:
  Constant Field Values

### SENSOR_TYPE_TEMP

    static final int SENSOR_TYPE_TEMP

See Also:
  Constant Field Values

### SENSOR_TYPE_LIGHT

    static final int SENSOR_TYPE_LIGHT

See Also:
  Constant Field Values

### SENSOR_TYPE_ROT

    static final int SENSOR_TYPE_ROT

See Also:
  Constant Field Values

### SENSOR_MODE_RAW

    static final int SENSOR_MODE_RAW

See Also:
  Constant Field Values

### SENSOR_MODE_BOOL

    static final int SENSOR_MODE_BOOL

See Also:
  Constant Field Values

### SENSOR_MODE_EDGE

    static final int SENSOR_MODE_EDGE

See Also:
  Constant Field Values

### SENSOR_MODE_PULSE

    static final int SENSOR_MODE_PULSE

See Also:
  Constant Field Values

### SENSOR_MODE_PCT

    static final int SENSOR_MODE_PCT

See Also:
  Constant Field Values

### SENSOR_MODE_DEGC

    static final int SENSOR_MODE_DEGC

See Also:
  Constant Field Values

### SENSOR_MODE_DEGF

    static final int SENSOR_MODE_DEGF

See Also:
  Constant Field Values

### SENSOR_MODE_ANGLE

    static final int SENSOR_MODE_ANGLE

See Also:
  Constant Field Values

### RAW_VALUE

    static final int RAW_VALUE

See Also:
  Constant Field Values

### CANONICAL_VALUE

    static final int CANONICAL_VALUE

See Also:
  Constant Field Values

### BOOLEAN_VALUE

    static final int BOOLEAN_VALUE

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD